Get Company Information
curl --request POST \
--url https://api.linkupapi.com/v1/companies/info \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"company_url": "<string>",
"country": "<string>",
"login_token": "<string>"
}
'import requests
url = "https://api.linkupapi.com/v1/companies/info"
payload = {
"company_url": "<string>",
"country": "<string>",
"login_token": "<string>"
}
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({company_url: '<string>', country: '<string>', login_token: '<string>'})
};
fetch('https://api.linkupapi.com/v1/companies/info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.linkupapi.com/v1/companies/info",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'company_url' => '<string>',
'country' => '<string>',
'login_token' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.linkupapi.com/v1/companies/info"
payload := strings.NewReader("{\n \"company_url\": \"<string>\",\n \"country\": \"<string>\",\n \"login_token\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<x-api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.linkupapi.com/v1/companies/info")
.header("x-api-key", "<x-api-key>")
.header("Content-Type", "application/json")
.body("{\n \"company_url\": \"<string>\",\n \"country\": \"<string>\",\n \"login_token\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.linkupapi.com/v1/companies/info")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<x-api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"company_url\": \"<string>\",\n \"country\": \"<string>\",\n \"login_token\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"name": "Stripe",
"universalName": "stripe",
"description": "Stripe is a financial infrastructure platform for businesses. Millions of companies—from the world’s largest enterprises to the most ambitious startups—use Stripe to accept payments, grow their revenue, and accelerate new business opportunities. Headquartered in San Francisco and Dublin, the company aims to increase the GDP of the internet.",
"tagline": "Help increase the GDP of the internet.",
"websiteUrl": "https://stripe.com",
"industry": "Technology, Information and Internet",
"employeeCount": 11685,
"employeeCountRange": {
"start": 5001,
"end": 10000
},
"headquarter": {
"country": "US",
"geographicArea": "California",
"city": "South San Francisco",
"line2": null,
"line1": "354 Oyster Point Blvd",
"postalCode": "94080"
},
"logoUrl": "https://media.licdn.com/dms/image/v2/D4E0BAQFqiwiSMcKk6A/company-logo_200_200/company-logo_200_200/0/1724937022726/stripe_logo?e=1750896000&v=beta&t=HhXH11lhKvAADBP8MukV5oM-Im2NLhNTAWeMDx5QGM8",
"coverImageUrl": null,
"callToAction": {
"displayText": "Learn more",
"visible": true,
"type": "LEARN_MORE",
"url": "https://stripe.com/jobs"
},
"locations": [
{
"streetAddressOptOut": false,
"description": "Headquarters",
"address": {
"country": "US",
"geographicArea": "California",
"city": "South San Francisco",
"line2": null,
"line1": "354 Oyster Point Blvd",
"postalCode": "94080"
},
"headquarter": true
},
{
"streetAddressOptOut": false,
"description": "Stripe Dublin",
"address": {
"country": "IE",
"geographicArea": "County Dublin",
"city": "Dublin",
"line2": null,
"line1": "1 Grand Canal Street Lower",
"postalCode": null
},
"headquarter": false
},
{
"streetAddressOptOut": false,
"description": "Stripe Seattle",
"address": {
"country": "US",
"geographicArea": "Washington",
"city": "Seattle",
"line2": null,
"line1": "920 5th Ave",
"postalCode": "98104"
},
"headquarter": false
},
{
"streetAddressOptOut": false,
"description": "Stripe London",
"address": {
"country": "GB",
"geographicArea": "England",
"city": "London",
"line2": null,
"line1": "211 Old Street",
"postalCode": "EC1V 9NR"
},
"headquarter": false
},
{
"streetAddressOptOut": false,
"description": "Stripe Paris",
"address": {
"country": "FR",
"geographicArea": "Ile-de-France",
"city": "Paris",
"line2": null,
"line1": "10, Boulevard Haussmann",
"postalCode": "75009"
},
"headquarter": false
},
{
"streetAddressOptOut": false,
"description": "Stripe Singapore",
"address": {
"country": "SG",
"geographicArea": "Singapore",
"city": "Central Business District",
"line2": null,
"line1": "89 Neil Rd",
"postalCode": "088894"
},
"headquarter": false
},
{
"streetAddressOptOut": false,
"description": "Stripe Tokyo",
"address": {
"country": "JP",
"geographicArea": "Shibuya-ku",
"city": "Tokyo",
"line2": null,
"line1": "1-5-8 Jingumae",
"postalCode": "150-0001"
},
"headquarter": false
},
{
"streetAddressOptOut": false,
"description": "Stripe Chicago",
"address": {
"country": "US",
"geographicArea": "Illinois",
"city": "Chicago",
"line2": null,
"line1": "515 N State St",
"postalCode": "60610"
},
"headquarter": false
},
{
"streetAddressOptOut": false,
"description": "Stripe New York",
"address": {
"country": "US",
"geographicArea": "NY",
"city": "New York",
"line2": null,
"line1": "11 Park Pl",
"postalCode": "10301"
},
"headquarter": false
},
{
"streetAddressOptOut": false,
"description": "Stripe Amsterdam",
"address": {
"country": "NL",
"geographicArea": "North Holland",
"city": "Amsterdam",
"line2": null,
"line1": "Singel 542",
"postalCode": "1017"
},
"headquarter": false
},
{
"streetAddressOptOut": false,
"description": "Stripe Mexico",
"address": {
"country": "MX",
"geographicArea": "Colonia Juarez ",
"city": "Ciudad de Mexico",
"line2": null,
"line1": "Avenida Paseo de la Reforma 296 ",
"postalCode": "06600"
},
"headquarter": false
},
{
"streetAddressOptOut": false,
"description": "Stripe Australia",
"address": {
"country": "AU",
"geographicArea": "Victoria",
"city": "Melbourne",
"line2": null,
"line1": "222 Exhibition St",
"postalCode": "3000"
},
"headquarter": false
},
{
"streetAddressOptOut": false,
"description": "Stripe Brazil",
"address": {
"country": "BR",
"geographicArea": "São Paulo",
"city": "Paulínia",
"line2": null,
"line1": "Avenida Paulista 1374",
"postalCode": "13140-000"
},
"headquarter": false
},
{
"streetAddressOptOut": false,
"description": "Bangalore",
"address": {
"country": "IN",
"geographicArea": "Karnataka",
"city": "Bengaluru",
"line2": null,
"line1": "Church Street Haridevpur, Shanthala Nagar, Ashok Nagar",
"postalCode": "560001"
},
"headquarter": false
}
],
"organizationType": "Privately Held",
"defaultLocale": "en",
"followersCount": 1016002,
"pageMailbox": false,
"verified": true,
"socialProofText": "Tibalt & 20 other connections follow this page"
}
}
Company Management
Get Company Information
Extract detailed information about a company from LinkedIn
POST
/
v1
/
companies
/
info
Get Company Information
curl --request POST \
--url https://api.linkupapi.com/v1/companies/info \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"company_url": "<string>",
"country": "<string>",
"login_token": "<string>"
}
'import requests
url = "https://api.linkupapi.com/v1/companies/info"
payload = {
"company_url": "<string>",
"country": "<string>",
"login_token": "<string>"
}
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({company_url: '<string>', country: '<string>', login_token: '<string>'})
};
fetch('https://api.linkupapi.com/v1/companies/info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.linkupapi.com/v1/companies/info",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'company_url' => '<string>',
'country' => '<string>',
'login_token' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.linkupapi.com/v1/companies/info"
payload := strings.NewReader("{\n \"company_url\": \"<string>\",\n \"country\": \"<string>\",\n \"login_token\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<x-api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.linkupapi.com/v1/companies/info")
.header("x-api-key", "<x-api-key>")
.header("Content-Type", "application/json")
.body("{\n \"company_url\": \"<string>\",\n \"country\": \"<string>\",\n \"login_token\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.linkupapi.com/v1/companies/info")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<x-api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"company_url\": \"<string>\",\n \"country\": \"<string>\",\n \"login_token\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"name": "Stripe",
"universalName": "stripe",
"description": "Stripe is a financial infrastructure platform for businesses. Millions of companies—from the world’s largest enterprises to the most ambitious startups—use Stripe to accept payments, grow their revenue, and accelerate new business opportunities. Headquartered in San Francisco and Dublin, the company aims to increase the GDP of the internet.",
"tagline": "Help increase the GDP of the internet.",
"websiteUrl": "https://stripe.com",
"industry": "Technology, Information and Internet",
"employeeCount": 11685,
"employeeCountRange": {
"start": 5001,
"end": 10000
},
"headquarter": {
"country": "US",
"geographicArea": "California",
"city": "South San Francisco",
"line2": null,
"line1": "354 Oyster Point Blvd",
"postalCode": "94080"
},
"logoUrl": "https://media.licdn.com/dms/image/v2/D4E0BAQFqiwiSMcKk6A/company-logo_200_200/company-logo_200_200/0/1724937022726/stripe_logo?e=1750896000&v=beta&t=HhXH11lhKvAADBP8MukV5oM-Im2NLhNTAWeMDx5QGM8",
"coverImageUrl": null,
"callToAction": {
"displayText": "Learn more",
"visible": true,
"type": "LEARN_MORE",
"url": "https://stripe.com/jobs"
},
"locations": [
{
"streetAddressOptOut": false,
"description": "Headquarters",
"address": {
"country": "US",
"geographicArea": "California",
"city": "South San Francisco",
"line2": null,
"line1": "354 Oyster Point Blvd",
"postalCode": "94080"
},
"headquarter": true
},
{
"streetAddressOptOut": false,
"description": "Stripe Dublin",
"address": {
"country": "IE",
"geographicArea": "County Dublin",
"city": "Dublin",
"line2": null,
"line1": "1 Grand Canal Street Lower",
"postalCode": null
},
"headquarter": false
},
{
"streetAddressOptOut": false,
"description": "Stripe Seattle",
"address": {
"country": "US",
"geographicArea": "Washington",
"city": "Seattle",
"line2": null,
"line1": "920 5th Ave",
"postalCode": "98104"
},
"headquarter": false
},
{
"streetAddressOptOut": false,
"description": "Stripe London",
"address": {
"country": "GB",
"geographicArea": "England",
"city": "London",
"line2": null,
"line1": "211 Old Street",
"postalCode": "EC1V 9NR"
},
"headquarter": false
},
{
"streetAddressOptOut": false,
"description": "Stripe Paris",
"address": {
"country": "FR",
"geographicArea": "Ile-de-France",
"city": "Paris",
"line2": null,
"line1": "10, Boulevard Haussmann",
"postalCode": "75009"
},
"headquarter": false
},
{
"streetAddressOptOut": false,
"description": "Stripe Singapore",
"address": {
"country": "SG",
"geographicArea": "Singapore",
"city": "Central Business District",
"line2": null,
"line1": "89 Neil Rd",
"postalCode": "088894"
},
"headquarter": false
},
{
"streetAddressOptOut": false,
"description": "Stripe Tokyo",
"address": {
"country": "JP",
"geographicArea": "Shibuya-ku",
"city": "Tokyo",
"line2": null,
"line1": "1-5-8 Jingumae",
"postalCode": "150-0001"
},
"headquarter": false
},
{
"streetAddressOptOut": false,
"description": "Stripe Chicago",
"address": {
"country": "US",
"geographicArea": "Illinois",
"city": "Chicago",
"line2": null,
"line1": "515 N State St",
"postalCode": "60610"
},
"headquarter": false
},
{
"streetAddressOptOut": false,
"description": "Stripe New York",
"address": {
"country": "US",
"geographicArea": "NY",
"city": "New York",
"line2": null,
"line1": "11 Park Pl",
"postalCode": "10301"
},
"headquarter": false
},
{
"streetAddressOptOut": false,
"description": "Stripe Amsterdam",
"address": {
"country": "NL",
"geographicArea": "North Holland",
"city": "Amsterdam",
"line2": null,
"line1": "Singel 542",
"postalCode": "1017"
},
"headquarter": false
},
{
"streetAddressOptOut": false,
"description": "Stripe Mexico",
"address": {
"country": "MX",
"geographicArea": "Colonia Juarez ",
"city": "Ciudad de Mexico",
"line2": null,
"line1": "Avenida Paseo de la Reforma 296 ",
"postalCode": "06600"
},
"headquarter": false
},
{
"streetAddressOptOut": false,
"description": "Stripe Australia",
"address": {
"country": "AU",
"geographicArea": "Victoria",
"city": "Melbourne",
"line2": null,
"line1": "222 Exhibition St",
"postalCode": "3000"
},
"headquarter": false
},
{
"streetAddressOptOut": false,
"description": "Stripe Brazil",
"address": {
"country": "BR",
"geographicArea": "São Paulo",
"city": "Paulínia",
"line2": null,
"line1": "Avenida Paulista 1374",
"postalCode": "13140-000"
},
"headquarter": false
},
{
"streetAddressOptOut": false,
"description": "Bangalore",
"address": {
"country": "IN",
"geographicArea": "Karnataka",
"city": "Bengaluru",
"line2": null,
"line1": "Church Street Haridevpur, Shanthala Nagar, Ashok Nagar",
"postalCode": "560001"
},
"headquarter": false
}
],
"organizationType": "Privately Held",
"defaultLocale": "en",
"followersCount": 1016002,
"pageMailbox": false,
"verified": true,
"socialProofText": "Tibalt & 20 other connections follow this page"
}
}
Get comprehensive information about a company including description, size, locations, and other business details.
This endpoint costs 1 credit per request. Ignore this if you’re on per-seat pricing: usage is unlimited.
Header Parameters
string
required
Your API key
Body Parameters
string
required
LinkedIn company URL (e.g., https://www.linkedin.com/company/stripe/)
string
default:"FR"
Country code for proxy selection. Available: US, CA, MX, CR, BR, AR, CL, CO, FR, UK, DE, NL, ES, IT, PT, BE, CH, AT, IE, SE, DK, FI, LT, LV, EE, PL, CZ, SK, HU, RO, UA, SI, HR, RS, AL, GR, CY, TR, IL, AE, EG, ZA, IN, PK, BD, JP, SG, MY, ID, TH, PH, AU
string
required
LinkedIn authentication cookie obtained from the login/verify process
Response
string
Request status (success/error)
object
Show Properties
Show Properties
string
Company name
string
Company URL identifier
string
Company description
string
Company website URL
integer
Total number of employees
object
array
Array of company office locations
string
Type of organization
integer
Number of LinkedIn followers
boolean
Whether the company page is verified
{
"status": "success",
"data": {
"name": "Stripe",
"universalName": "stripe",
"description": "Stripe is a financial infrastructure platform for businesses. Millions of companies—from the world’s largest enterprises to the most ambitious startups—use Stripe to accept payments, grow their revenue, and accelerate new business opportunities. Headquartered in San Francisco and Dublin, the company aims to increase the GDP of the internet.",
"tagline": "Help increase the GDP of the internet.",
"websiteUrl": "https://stripe.com",
"industry": "Technology, Information and Internet",
"employeeCount": 11685,
"employeeCountRange": {
"start": 5001,
"end": 10000
},
"headquarter": {
"country": "US",
"geographicArea": "California",
"city": "South San Francisco",
"line2": null,
"line1": "354 Oyster Point Blvd",
"postalCode": "94080"
},
"logoUrl": "https://media.licdn.com/dms/image/v2/D4E0BAQFqiwiSMcKk6A/company-logo_200_200/company-logo_200_200/0/1724937022726/stripe_logo?e=1750896000&v=beta&t=HhXH11lhKvAADBP8MukV5oM-Im2NLhNTAWeMDx5QGM8",
"coverImageUrl": null,
"callToAction": {
"displayText": "Learn more",
"visible": true,
"type": "LEARN_MORE",
"url": "https://stripe.com/jobs"
},
"locations": [
{
"streetAddressOptOut": false,
"description": "Headquarters",
"address": {
"country": "US",
"geographicArea": "California",
"city": "South San Francisco",
"line2": null,
"line1": "354 Oyster Point Blvd",
"postalCode": "94080"
},
"headquarter": true
},
{
"streetAddressOptOut": false,
"description": "Stripe Dublin",
"address": {
"country": "IE",
"geographicArea": "County Dublin",
"city": "Dublin",
"line2": null,
"line1": "1 Grand Canal Street Lower",
"postalCode": null
},
"headquarter": false
},
{
"streetAddressOptOut": false,
"description": "Stripe Seattle",
"address": {
"country": "US",
"geographicArea": "Washington",
"city": "Seattle",
"line2": null,
"line1": "920 5th Ave",
"postalCode": "98104"
},
"headquarter": false
},
{
"streetAddressOptOut": false,
"description": "Stripe London",
"address": {
"country": "GB",
"geographicArea": "England",
"city": "London",
"line2": null,
"line1": "211 Old Street",
"postalCode": "EC1V 9NR"
},
"headquarter": false
},
{
"streetAddressOptOut": false,
"description": "Stripe Paris",
"address": {
"country": "FR",
"geographicArea": "Ile-de-France",
"city": "Paris",
"line2": null,
"line1": "10, Boulevard Haussmann",
"postalCode": "75009"
},
"headquarter": false
},
{
"streetAddressOptOut": false,
"description": "Stripe Singapore",
"address": {
"country": "SG",
"geographicArea": "Singapore",
"city": "Central Business District",
"line2": null,
"line1": "89 Neil Rd",
"postalCode": "088894"
},
"headquarter": false
},
{
"streetAddressOptOut": false,
"description": "Stripe Tokyo",
"address": {
"country": "JP",
"geographicArea": "Shibuya-ku",
"city": "Tokyo",
"line2": null,
"line1": "1-5-8 Jingumae",
"postalCode": "150-0001"
},
"headquarter": false
},
{
"streetAddressOptOut": false,
"description": "Stripe Chicago",
"address": {
"country": "US",
"geographicArea": "Illinois",
"city": "Chicago",
"line2": null,
"line1": "515 N State St",
"postalCode": "60610"
},
"headquarter": false
},
{
"streetAddressOptOut": false,
"description": "Stripe New York",
"address": {
"country": "US",
"geographicArea": "NY",
"city": "New York",
"line2": null,
"line1": "11 Park Pl",
"postalCode": "10301"
},
"headquarter": false
},
{
"streetAddressOptOut": false,
"description": "Stripe Amsterdam",
"address": {
"country": "NL",
"geographicArea": "North Holland",
"city": "Amsterdam",
"line2": null,
"line1": "Singel 542",
"postalCode": "1017"
},
"headquarter": false
},
{
"streetAddressOptOut": false,
"description": "Stripe Mexico",
"address": {
"country": "MX",
"geographicArea": "Colonia Juarez ",
"city": "Ciudad de Mexico",
"line2": null,
"line1": "Avenida Paseo de la Reforma 296 ",
"postalCode": "06600"
},
"headquarter": false
},
{
"streetAddressOptOut": false,
"description": "Stripe Australia",
"address": {
"country": "AU",
"geographicArea": "Victoria",
"city": "Melbourne",
"line2": null,
"line1": "222 Exhibition St",
"postalCode": "3000"
},
"headquarter": false
},
{
"streetAddressOptOut": false,
"description": "Stripe Brazil",
"address": {
"country": "BR",
"geographicArea": "São Paulo",
"city": "Paulínia",
"line2": null,
"line1": "Avenida Paulista 1374",
"postalCode": "13140-000"
},
"headquarter": false
},
{
"streetAddressOptOut": false,
"description": "Bangalore",
"address": {
"country": "IN",
"geographicArea": "Karnataka",
"city": "Bengaluru",
"line2": null,
"line1": "Church Street Haridevpur, Shanthala Nagar, Ashok Nagar",
"postalCode": "560001"
},
"headquarter": false
}
],
"organizationType": "Privately Held",
"defaultLocale": "en",
"followersCount": 1016002,
"pageMailbox": false,
"verified": true,
"socialProofText": "Tibalt & 20 other connections follow this page"
}
}
Notes
- The company URL must be a valid LinkedIn company page URL
- Some fields may be null or missing depending on the company’s public information
Was this page helpful?